Last Comment Bug 314966 - Search online/offline option in MailNews needs to be documented
: Search online/offline option in MailNews needs to be documented
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey1.0beta
Assigned To: Giacomo Magnini
: Daniel Wang
Mentors:
chrome://help/locale/mail_help.xhtml#...
Depends on: 83968
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 11:13 PST by Stefan [:stefanh]
Modified: 2005-12-10 08:20 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Something like this would be enough? (1.51 KB, patch)
2005-11-08 02:30 PST, Giacomo Magnini
no flags Details | Diff | Review
Something along Stefan's suggestion (checked in on trunk/branch) (1.50 KB, patch)
2005-11-08 11:03 PST, Giacomo Magnini
iann_bugzilla: review+
kairo: approval‑seamonkey1.0+
Details | Diff | Review

Description Stefan [:stefanh] 2005-11-03 11:13:16 PST
The "Search local system" checkbox that was added to the search dialog in MailNews (bug 83968), lacks documentation.
Comment 1 Giacomo Magnini 2005-11-08 02:30:52 PST
Created attachment 202226 [details] [diff] [review]
Something like this would be enough?
Comment 2 Stefan [:stefanh] 2005-11-08 09:00:24 PST
Just some suggestions :)

If the only online accounts that exists are IMAP or newsgroups, how about (not 100% perfect):

"Select ... to only search messages from newsgroups or IMAP accounts that has been saved locally."

And

"Note: The checkbox will be disabled if it's not possible to search remotely stored messages."
Comment 3 Giacomo Magnini 2005-11-08 11:03:58 PST
Created attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)
Comment 4 Ian Neal 2005-11-14 16:13:34 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

>Index: extensions/help/resources/locale/en-US/mail_help.xhtml
>===================================================================
>@@ -2551,16 +2551,22 @@
> 
> <ol>
>   <li>Open the Tools menu and choose Search Messages. You see the Search
>     Messages dialog box.</li>
>   <li>Next to <q>Search for messages in</q>, choose the account, newsgroup, or
>     folder through which you want to search.</li>
>   <li>Select <q>Search subfolders</q> to include all subfolders in the
>     search.</li>
>+  <li>Select <q>Search local system</q> to search only messages from newsgroups
>+    or IMAP accounts that have been saved locally.
>+
>+    <p><strong>Note</strong>: The checkbox will be disabled if it&apos;s not
>+      possible to search remotely stored messages.</p>
>+  </li>
Do you mean remotely stored messages here? Should it not be locally stored messages? Remotely would be on the IMAP/newsgroup server.
Comment 5 Giacomo Magnini 2005-12-07 09:58:56 PST
(In reply to comment #4)
> Do you mean remotely stored messages here? Should it not be locally stored
> messages? Remotely would be on the IMAP/newsgroup server.

No, it's exactly as described (weird, but the bug has been fixed like this).
If you are not noline, the checkbox will be disabled, since you have no other choice other than searching locally. If you are online and in a newsgroup/imap account, the checkbox will be enabled, since you can actually limit your search to only local messages.
Comment 6 Ian Neal 2005-12-08 14:34:50 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

Okay, re-reading it I now understand r=
Comment 7 Stefan [:stefanh] 2005-12-08 14:45:20 PST
Ian, can you check in the patch as well, please?
Comment 8 Ian Neal 2005-12-08 14:56:26 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

Checking in
mail_help.xhtml;
new revision: 1.65; previous revision: 1.64
done
Comment 9 Stefan [:stefanh] 2005-12-08 15:00:45 PST
Thanks Ian

--> Fixed
Comment 10 Stefan [:stefanh] 2005-12-08 15:01:54 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

Low-risk, SeaMonkey Help only...
Comment 11 Stefan [:stefanh] 2005-12-08 15:03:12 PST
sorry for spam...
Comment 12 Stefan [:stefanh] 2005-12-09 09:40:20 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

Trivial update of Help doc in SeaMonkey...
Comment 13 Ian Neal 2005-12-09 15:59:30 PST
Comment on attachment 202280 [details] [diff] [review]
Something along Stefan's suggestion (checked in on trunk/branch)

a=me, one more needed...

Note You need to log in before you can comment on or make changes to this bug.